---
- name: Playbook to manage IPA service.
  hosts: ipaserver
  become: true
  gather_facts: false

  tasks:
  - name: Ensure management host is absent.
    ipaservice:
      ipaadmin_password: SomeADMINpassword
      name: HTTP/www.example.com
      host: "{{ groups.ipaserver[0] }}"
      action: member
      state: absent
